
package org.apache.servicemix.suma;

import javax.jws.WebService;
import javax.sql.XAConnection;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.apache.servicemix.suma_valors.OperacioSuma;
import org.apache.servicemix.suma_valors.types.*;

import org.apache.xmlbeans.XmlOptions;

import com.upcnet.utils.bdd.Bdd;

@WebService(serviceName = "serveiSuma", 
	    targetNamespace = "http://servicemix.apache.org/OperacioSuma", 
	    endpointInterface = "org.apache.servicemix.suma_valors.OperacioSuma")

	    
public class sumaImpl implements OperacioSuma {

	public Resultat sumaValors(Parametres p) {
		Resultat res = new Resultat();	
		try{
			System.out.println("Primer valor " + p.getPrimerValor());
			System.out.println("Segon valor " + p.getSegonValor());
			res.setResultat(p.getPrimerValor() + p.getSegonValor());
		}catch(Exception e){
			System.out.println("Ha hagut algun problema a la suma: " + e.getMessage());
		}	
		return res;
	}
}
