
package org.apache.servicemix.suma_valors;

import java.net.MalformedURLException;
import java.util.Collection;
import java.util.HashMap;
import javax.xml.namespace.QName;
import org.codehaus.xfire.XFireRuntimeException;
import org.codehaus.xfire.aegis.AegisBindingProvider;
import org.codehaus.xfire.annotations.AnnotationServiceFactory;
import org.codehaus.xfire.annotations.jsr181.Jsr181WebAnnotations;
import org.codehaus.xfire.client.XFireProxyFactory;
import org.codehaus.xfire.jaxb2.JaxbTypeRegistry;
import org.codehaus.xfire.service.Endpoint;
import org.codehaus.xfire.service.Service;
import org.codehaus.xfire.soap.AbstractSoapBinding;
import org.codehaus.xfire.transport.TransportManager;

public class sumaDeValorsServiceClient {

    private static XFireProxyFactory proxyFactory = new XFireProxyFactory();
    private HashMap endpoints = new HashMap();
    private Service service0;

    public sumaDeValorsServiceClient() {
        create0();
        Endpoint soapEP = service0 .addEndpoint(new QName("http://servicemix.apache.org/suma_valors", "soap"), new QName("http://servicemix.apache.org/suma_valors", "sumaDeValorsWSDLSOAPBinding"), "http://localhost:8192/sumaDeValorsWSDL/");
        endpoints.put(new QName("http://servicemix.apache.org/suma_valors", "soap"), soapEP);
        Endpoint OperacioSumaLocalEndpointEP = service0 .addEndpoint(new QName("http://servicemix.apache.org/suma_valors", "OperacioSumaLocalEndpoint"), new QName("http://servicemix.apache.org/suma_valors", "OperacioSumaLocalBinding"), "xfire.local://sumaDeValorsService");
        endpoints.put(new QName("http://servicemix.apache.org/suma_valors", "OperacioSumaLocalEndpoint"), OperacioSumaLocalEndpointEP);
    }

    public Object getEndpoint(Endpoint endpoint) {
        try {
            return proxyFactory.create((endpoint).getBinding(), (endpoint).getUrl());
        } catch (MalformedURLException e) {
            throw new XFireRuntimeException("Invalid URL", e);
        }
    }

    public Object getEndpoint(QName name) {
        Endpoint endpoint = ((Endpoint) endpoints.get((name)));
        if ((endpoint) == null) {
            throw new IllegalStateException("No such endpoint!");
        }
        return getEndpoint((endpoint));
    }

    public Collection getEndpoints() {
        return endpoints.values();
    }

    private void create0() {
        TransportManager tm = (org.codehaus.xfire.XFireFactory.newInstance().getXFire().getTransportManager());
        HashMap props = new HashMap();
        props.put("annotations.allow.interface", true);
        AnnotationServiceFactory asf = new AnnotationServiceFactory(new Jsr181WebAnnotations(), tm, new AegisBindingProvider(new JaxbTypeRegistry()));
        asf.setBindingCreationEnabled(false);
        service0 = asf.create((org.apache.servicemix.suma_valors.OperacioSuma.class), props);
        {
            AbstractSoapBinding soapBinding = asf.createSoap11Binding(service0, new QName("http://servicemix.apache.org/suma_valors", "sumaDeValorsWSDLSOAPBinding"), "http://schemas.xmlsoap.org/soap/http");
        }
        {
            AbstractSoapBinding soapBinding = asf.createSoap11Binding(service0, new QName("http://servicemix.apache.org/suma_valors", "OperacioSumaLocalBinding"), "urn:xfire:transport:local");
        }
    }

    public OperacioSuma getsoap() {
        return ((OperacioSuma)(this).getEndpoint(new QName("http://servicemix.apache.org/suma_valors", "soap")));
    }

    public OperacioSuma getsoap(String url) {
        OperacioSuma var = getsoap();
        org.codehaus.xfire.client.Client.getInstance(var).setUrl(url);
        return var;
    }

    public OperacioSuma getOperacioSumaLocalEndpoint() {
        return ((OperacioSuma)(this).getEndpoint(new QName("http://servicemix.apache.org/suma_valors", "OperacioSumaLocalEndpoint")));
    }

    public OperacioSuma getOperacioSumaLocalEndpoint(String url) {
        OperacioSuma var = getOperacioSumaLocalEndpoint();
        org.codehaus.xfire.client.Client.getInstance(var).setUrl(url);
        return var;
    }

}
